Subject: Re: [PATCH v3] object-file: use real paths when adding alternates

From: Junio C Hamano <[email-masked]>
Date: Fri, 25 Nov 2022 15:51:04 +0900

Jeff King <[email-masked]> writes:

> On Thu, Nov 24, 2022 at 12:55:31AM +0000, Glen Choo via GitGitGadget wrote:
>
>>     object-file: use real paths when adding alternates
>>     
>>     Thanks all for the feedback on v2. Once again, this version takes nearly
>>     all of Ævar's fixup patches [1] :)
>
> This looks fine to me. I'd probably have done the strbuf_realpath()
> change I suggested, but I don't mind if you want to punt on it for now.

Thanks, both.

When we designed the alternates long time ago, the "avoid placing
duplicate directories on list" was done merely as an optimization
and not as a correctness measure, as there was no plan to add
anything destructive like "delete all non-local objects".  But now
this seems to matter X-<.